### Constructor

# Gtk AppChooserDialog new

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GFile* file
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided `GFile`.

The dialog will show applications that can open the file.

#### Parameters

`parent` | `GtkWindow`
| A `GtkWindow`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `GtkDialogFlags`
| Flags for this dialog.
`file` | `GFile*`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkAppChooserDialog`.
| The data is owned by the called function.